ADDUSER(8)

NAVN
adduser, addgroup - tilføj en bruger eller gruppe til systemet

SYNOPSIS
adduser [options] [--home DIR] [--shell SHELL] [--no-create-home] [--uid ID] [--firstuid ID] [--lastuid ID] [--ingroup GROUP | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] [--add_extra_groups] [--encrypt-home] user

adduser --system [tilvalg] [--home MAPPE] [--shell SKAL] [--no-create-home] [--uid ID] [--group | --ingroup GRUPPE | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] bruger

addgroup [tilvalg] [--gid ID] gruppe

addgroup --system [tilvalg] [--gid ID] gruppe

adduser [tilvalg] brugergruppe

  GÆNGSE TILVALG
[--quiet] [--debug] [--force-badname] [--help|-h] [--version] [--conf FIL]

BESKRIVELSE

adduser og addgroup tilføjer brugere og grupper til systemet jævnfør tilvalg på kommandolinjen og konfigurationsinformation i /etc/adduser.conf. De er mere venlige brugerflader til værktøjer på lavt niveau såsom programmerne useradd, groupadd og usermod, ved som standard at vælge UID- og GID-værdier der overholder Debians politik, oprette en hjemmemappe med skeletkonfiguration, køre et tilpasset skript og andre funktioner. adduser og addgroup kan køres i en af fem tilstande:

  Tilføj en normal bruger
Hvis kaldt med et argument uden tilvalg og uden tilvalgene --system eller --group, så vil adduser tilføje en normal bruger. adduser vil vælge den første tilgængelige UID fra intervallet angivet for normale brugere i konfigurationsfilen. UID'en kan overskrives med tilvalget --uid. Intervallet angivet i konfigurationsfilen kan overskrives med tilvalgene --firstuid og --lastuid. Som standard får hver bruger i Debian GNU/Linux en tilsvarende gruppe med det samme navn. Brugergrupper tillader at skrivbare mapper for grupper nemt kan vedligeholdes ved at placere de passende brugere i den nye gruppe, angive set-group-ID-bit i mappen og sikre at alle brugere bruger en umask på 002. Hvis denne indstilling slukkes ved at angive USERGROUP til no, så sættes alle brugeres GID'er til USERS_GID. Brugeres primære grupper kan også overskrives fra kommandolinjen med tilvalgene --gid eller --ingroup for at sætte gruppen per id eller navn, respektivt. Brugere kan også tilføjes til en eller flere grupper defineret i adduser.conf enten ved at sætte ADD_EXTRA_GROUPS til 1 i adduser.conf, eller ved at medtage -add_extra_groups på kommandolinjen. adduser vil oprette et hjemmemappeemne til DHOME, GROUPHOMES og LETTERHOMES. Hjemmemappen kan overskrives fra kommandolinjen med tilvalget --home, og skallen med tilvalget --shell. Hjemmemappens set-group-ID-bit angives hvis USERGROUPS er yes så at filer oprettet i brugerens hjemmemappe vil have den korrekte gruppe. adduser will copy files from SKEL into the home directory and prompt for finger (gecos) information and a password. The gecos may also be set with the --gecos option. With the --disabled-login option, the account will be created but will be disabled until a password is set. The --disabled-password option will not set a password, but login is still possible (for example with SSH RSA keys). To set up an encrypted home directory for the new user, add the --encrypt-home option. For more information, refer to the -b option of ecryptfs-setup-private(1). Hvis filen /usr/local/sbin/adduser.local findes, så vil den blive kørt efter at brugerkontoen er blevet sat op for at udføre eventuel lokal opsætning. Argumenterne sendt til adduser.local er:
username uid gid home-directory
Miljøvaribalen VERBOSE angives jævnfør følgende regel:

0 hvis --quiet er angivet

1 hvis hverken --quiet eller --debug er angivet

2 hvis --debug er angivet
    (Det samme gælder for variablerne DEBUG, men DEBUG er forældet og vil blive fjernet i en senere version af adduser).

  Tilføj en systembruger
Hvis kaldt med et argument uden tilvalg og tilvalget --system, så vil adduser tilføje en systembruger. Hvis en bruger med det samme navn allerde findes i systemets uid-interval (eller hvis uid'en er angivet, hvis en bruger med det uid allerede findes), så vil adduser afsluttes med en advarsel. Denne advarsel kan undertrykkes ved at tilføje »--quiet«. adduser vil vælge den første tilgængelige UID fra intervallet angivet for systembrugere i konfigurationsfilen (FIRST_SYSTEM_UID og LAST_SYSTEM_UID). Hvis du ønsker at have en specifik UID, så kan du angive den med tilvalget --uid. Som standard placeres systembrugere i gruppen nogroup. For at placere den nye systembruger i en allerede eksisterende gruppe, så brug tilvalgene --gid eller --ingroup. For at placere den nye systembruger i en ny gruppe med den samme id så brug tilvalget --group. En hjemmemappe oprettes med de samme regler som for normale brugere. Den nye systembruger vil have skallen /bin/false (med mindre overskrevet med tilvalget --shell), og have logind'er deaktiveret. Skeletkonfigurationsfiler kopieres ikke.

  Tilføj en brugergruppe
Hvis adduser kaldes med tilvalget --group og uden at tilvalget --system eller addgroup kaldes respektivt, så vil en brugergruppe blive tilføjet. En GID vil blive valgt fra intervallet angivet for system-GID'er i konfigurationsfilen (FIRST_GID, LAST_GID). For at overskrive den mekanisme kan du angive GID'en med tilvalget --gid. Gruppen oprettes med ingen brugere.

  Tilføj en systemgruppe
Hvis addgroup kaldes med tilvalget --system, så vil en systemgruppe blive tilføjet. En GID vil blive valgt fra intervallet angivet for system-GID'er i konfigurationsfilen (FIRST_SYSTEM_GID, LAST_SYSTEM_GID). For at overskrive den mekanisme kan du give GID'en med tilvalget --gid. Gruppen oprettes med ingen brugere.

  Tilføj en eksisterende bruger til en eksisterende gruppe
Hvis kaldt med to argumenter uden tilvalg, så vil adduser tilføje en eksisterende bruger til en eksisterende gruppe.

TILVALG

--conf FIL
    Brug FIL i stedet for /etc/adduser.conf.

--disabled-login
    Kør ikke passwd for at angive adgangskoden. Brugeren vil ikke kunne bruge sin konto før adgangskoden er angivet.

--disabled-password
    Som --disabled-login, men logind er stadig mulige (for eksempel med SSH RSH-nøgler) men uden at bruge adgangskodegodkendelse.

--force-badname
    By default, user and group names are checked against the configurable regular expression NAME_REGEX (or NAME_REGEX_SYSTEM if --system is specified) specified in the configuration file. This option forces adduser and addgroup to apply only a weak check for validity of the name.

--gecos GECOS
    Angiv gecos-feltet for den nye oprettede post. adduser vil ikke spørge om fingerinformation hvis dette tilvalg er angivet.

--gid ID
    Når der oprettes en gruppe, så tvinger dette tilvalg det nye gruppe-id til det angivet tal. Når der oprettes en bruger, så vil dette tilvalg placere brugeren i den gruppe.

--group
    Når kombineret med --system, så oprettes en gruppe med det samme navn og id som systembrugeren. Hvis ikke kombineret med --system, så oprettes en gruppe med det angivne navn. Dette er standardhandlingen hvis programmet igangsættes som addgroup.

--help
    Vis korte instruktioner.

--home MAPPE
    Brug MAPPE som brugerens hjemmemappe, frem for den angivne standard i konfigurationsfilen. Hvis mappen ikke findes, så oprettes den og skeletfiler kopieres.

--shell SKAL
    Brug SKAL som brugerens logindskal, frem for den angivne standard i konfigurationsfilen.

--ingroup GRUPPE
    Tilføj den nye bruger til GRUPPE i stedet for en brugergruppe eller standardgruppen defineret af USERS_GID i konfigurationsfilen. Dette påvirker brugerens primære gruppe. For at tilføje yderligere grupper, så se tilvalget add_extra_groups.

--no-create-home
    Opret ikke hjemmemappen, selv om den ikke findes.

--quiet
    Undertryk informative beskeder, vis kun advarsler og fejl.

--debug
    Vær uddybdende, mest nyttig hvis du ønsker at finde et problem med adduser.

--system
    Opret en systembruger eller -gruppe.

--uid ID
    Tving det nye bruger-id til det angivne nummer. adduser vil fejle hvis bruger-id'et allerede er optaget.

--firstuid ID
    Overskriv den første uid i intervallet som uid'en vælges fra (overskriver FIRST_UID angivet i konfigurationsfilen).

--lastuid ID
    Overskriv den sidste uid i intervallet som uid'en vælges fra (LAST_UID).

--add_extra_groups
    Tilføj ny bruger til ekstra grupper defineret i konfigurationsfilen.

--version
    Vis version og information om ophavsret.

SLUTVÆRDIER

0   Brugeren findes som angivet. Dette kan have 2 årsager: Brugeren blev oprettet af adduser eller brugeren var allerede til stede på systemet før adduser blev igangsat. Hvis adduser returnerede 0, så vil start af adduser endnu engang med de samme parametre som før også returnere 0.

1   Oprettelse af brugeren eller gruppen mislykkedes, da denne allerede var til stede med anden UID/GID end angivet. Brugernavnet eller gruppenavnet blev nægtet på grund af en forskel mellem de konfigurerede regulære udtryk, se adduser.conf(5). Adduser er blevet afbrudt af et signal.
    Eller af for mange endnu udokumenterede svar som så skrives til konsollen. Du kan overveje at fjerne --quiet for at gøre adduser mere uddybende.

FILER

/etc/adduser.conf
    Standardkonfigurationsfil for adduser og addgroup

SE OGSÅ
adduser.conf(5), deluser(8), useradd(8), groupadd(8), usermod(8), Debianpolitik 9.2.2.

OPHAVSRET
Ophavsret 1997, 1998, 1999 Guy Maor. Ændringer af Roland Bauerschmidt og Marc Haber. Yderligere rettelser af Joerg Hoh og Stephen Gran.
Ophavsret 1995 Ted Hajek, med en stor del lånt fra den oprindelige Debian adduser
Ophavsret 1994 Ian Murdock. adduser er frit programmel; se GNU General Public Licence version 2 eller senere for kopieringsbetingelser. Der er ingen garanti.